Subject: bug#9483: closed (Re: bug#9483: issue with coreutils-6.9)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 13 Sep 2011 10:16:01 +0000

Your bug report

#9483: issue with coreutils-6.9

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9483: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9483
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9483: issue with coreutils-6.9
From: Jim Meyering <[email-masked]>
To: Anand Anand <[email-masked]>
Cc: [email-masked], Bob Proulx <[email-masked]>
Date: Tue, 13 Sep 2011 12:10:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 9483 + notabug
thanks

Anand Anand wrote:
> Hello Bob,
>
> Thanks for the prompt reply.Due to certain constraints I am to fix this bug
> within this version itself.I know thats kind of lame but thats the way its
> reqd to be.I can give you more inputs on the bug right now.
>
> While running rm tests as part of testsuites we have tgo run the command "rm
> -ir z" wherein user input is expected.The userinput irrespective of what is
> fed is always taken negative and always returned as
> "user_permission_denied".I triede putting in more logs and I could see in
> the function "yesno" in file yesno.c even though response pointed to "y" the
> rpmatch function was exiting with 0 return value
>
> As for that matter any response value always came with 0 as return value
> from rpmatch function.
>
> I have to use "ENABLE_NLS" in this case.Let em know in case of any more
> inputs required
>
> Thanks and Regards,
> Anand

You're welcome to continue discussing this here, but since this is
not a bug in any recent version, I'm marking the issue as closed.

Subject: issue with coreutils-6.9
From: Anand Anand <[email-masked]>
To: [email-masked]
Date: Mon, 12 Sep 2011 18:44:38 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

I need some help on coreutils-6.9 ??

I was running a testsuite on coreutils-6.9 wherein I have issues with yesno
API in the library.EVen if the stdin input is y in case of rm tests the
processed output is always taken as "n" and thus all the tests fail which
are interactive in nature.

Thanks and Regards,
Anand